## Index → Modules → Handlers

## Handler: Directory Listing

The Only Listing handler builds a list of directories and files within the requested directory, but does not allow you to download its contents. Refer to List & Send for the opposite behaviour.

### Parameters: Listing

Parameters | Type | Description
--- | --- | ---
``size`` | boolean | Optional. Display the size of files in the listings. Default: ``Enabled``.
``date`` | boolean | Optional. Display the last modification date of the files and directories in the listings. Default: ``Enabled``.
``user`` | boolean | Optional. Display the owner of the files and directories in the listings. Default: ``Disabled``.
``group`` | boolean | Optional. Display the group ownership of the files and directories in the listings. Default ``Disabled``.
``symlinks`` | boolean | Optional. Display symbolic links. Default ``Enabled``.

### Parameters: Theming

Parameters | Type | Description
--- | --- | ---
``theme`` | string | Optional. The theme to use when displaying the directory listings. Default: ``default``.
``icon_dir`` | string | Optional: Alternative path to a new icon set.
``notice_files`` | string | Optional: List of notice files to be inserted.

It is possible to change the default theme used when displaying the directory listings.

It is also possible to create a new one

         $ ls /usr/share/cherokee/themes/firefox3/
         entry.html  footer.html  header.html  theme.css

  Simply create a new directory in the above mentioned path containing the listed files and you'll be able to select it in `cherokee-admin`.

### Examples

This configuration

will return something like